Scicos function

standard_input - get Scicos block input port positions

### Calling Sequence

  `[x,y,typ]=standard_input(o)`

### Parameters

- `o` : Scicos block data structure (see scicos_block)
- `x` : vector of x coordinates of the block regular and event input ports
- `y` : vector of y coordinates of the block regular and event output ports
- `typ` : vector of input ports types (+1 : regular port; -1:event port)

### Description

`standard_input` is the Scilab function used to get standard blocks input port position and types in interfacing functions.

Port positions are computed, each time they are required, as a function of block dimensions.

### See Also

`scicos_block`